<template>
  <h2 class="vlue-content-component-header-2"
    :style="getStyle()">
    {{props.text}}
  </h2>
</template>

<script lang="ts">
import Vue from 'vue'

export default Vue.extend({
  props: {
    props: Object,
  },
  methods: {
    getStyle() {
      return {
        'color'       : this.props.color,
        'font-size'   : this.props.fontSize,
        'font-family' : this.props.font?.split('.')[0],
      };
    },
  },
  mounted() {
    // component properties with types and default values
    this.$emit('mounted', [
      {
        name: 'text',
        type: 'textarea',
        value: 'may you find peace on this pale blue dot',
      },
      {
        name: 'color',
        type: 'color',
        value: 'white',
      },
      {
        name: 'fontSize',
        type: 'textfield',
        value: '35px',
      },
      {
        name: 'font',
        type: 'font',
        value: undefined,
      },
    ]);
  },
})
</script>

<style lang="scss">

</style>
